#!/usr/bin/gnuplot -persist
#  
#    	G N U P L O T
#    	Version 4.0 patchlevel 0
#
#	Standard Settings for GPI
#
# See http://t16web.lanl.gov/Kawano/gnuplot/index-e.html
# for a good introduction to Gnuplot
#
# remember the 'help' command

set terminal postscript enhanced
set output "out.ps"

unset key
set tics in
set ticslevel 0.25
set ticscale 0.5 0.25
# set mxtics 1.000000
set mytics 1.000000
# set xtics 10
set nox2tics
set noy2tics
set fit noerrorvariables
set grid xtics mxtics ytics mytics noztics nomztics

set title "Anhaengemasse: 2g - 2 Magente - Wagen ohne Zusatzgewichte"
set xlabel "t / s"
set ylabel "v / (m/s)"

# The datafile.csv must be tab-separated
# set logscale x
# f(x) = a*x+b
# fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 plot "2g2m-vt.csv" with lines
 
# 'with' can be lines, dots, points, linespoints, impulses, steps, boxes,
#  xerrorbars, yerrorbars, xyerrorbars, vector, ...

# To plot an interpolated line between data points, use
# plot "datafile.csv" using 1:2 notitle with points, \
#      "datafile.csv" using 1:2 smooth csplines \

# To plot only part of the data, use 'every'
# plot "datafile.csv" every :2
# The syntax is
# every I:J:K:L:M:N 	
# I 	Line increment
# J 	Data block increment
# K 	The first line
# L 	The first data block
# M 	The last line
# N 	The last data block 
# e.g.
# every 2 		plot every 2 line
# every ::3 		skip the first 3 lines
# every ::3::5 		plot from the 4-th to 6-th lines
# every ::0::0 		plot the first line only
# every 2::::6 		plot the 1,3,5,7-th lines
# every :2 		plot every 2 data block
# every :::5::8 	plot from 5-th to 8-th data blocks
# Data blocks are separated by blank lines in the file


# If you want logscale, change this to 'set'
# You can use 'xlogscale', 'ylogscale', 'xylogscale'
unset logscale


# To set the plot ranges, use
# set xrange [0:250]
# set yrange [0:10]


# Use the 'test' command to see linetypes, pointtypes, etc. for your terminal
# Don't forget that each terminal has different styles; you probably want to
# use the ones for the postscript enhanced terminal
# test

# To create a linear fit, use
# f(x)=a*x+b
# fit f(x) "datafile.csv" via a,b
# plot f(x) linetype 1 linewidth 1, "datafile.csv" pointtype 7 pointsize .5

# If you want to, get can get rid of the right and top border axes
# set border 3
# set xtics nomirror
# set ytics nomirror

# To save the plot to a postscript file, use
# set terminal postscript enhanced
# set output 'out.ps'

# After making any changes..
# replot

#    EOF
