(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     35101,        932]*)
(*NotebookOutlinePosition[     35745,        954]*)
(*  CellTagsIndexPosition[     35701,        950]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(v = \(F\/\[Delta]\) \((1 - \[ExponentialE]\^\(\(\(-\[Delta]\)\/m\) t\))\
\)\)], "Input"],

Cell[BoxData[
    \(\(\((1 - \[ExponentialE]\^\(-\(\(t\ \[Delta]\)\/m\)\))\)\ F\)\/\[Delta]\
\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(s = Integrate[v, t] // FullSimplify\)], "Input"],

Cell[BoxData[
    \(\(F\ \((\[ExponentialE]\^\(-\(\(t\ \[Delta]\)\/m\)\)\ m + t\ \
\[Delta])\)\)\/\[Delta]\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(Plot[\(\(s /. F \[Rule]  .049\) /. 
          m \[Rule]  .131\) /. \[Delta] \[Rule]  .11, {t, 0, 
        4.5}]\), "\[IndentingNewLine]", 
    \(Plot[\(\(v /. F \[Rule]  .049\) /. 
          m \[Rule]  .131\) /. \[Delta] \[Rule]  .11, {t, 0, 
        4.5}]\)}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.21164 -0.19539 0.396053 [
[.23545 .18816 -3 -9 ]
[.23545 .18816 3 0 ]
[.44709 .18816 -3 -9 ]
[.44709 .18816 3 0 ]
[.65873 .18816 -3 -9 ]
[.65873 .18816 3 0 ]
[.87037 .18816 -3 -9 ]
[.87037 .18816 3 0 ]
[.01131 .04224 -18 -4.5 ]
[.01131 .04224 0 4.5 ]
[.01131 .12145 -18 -4.5 ]
[.01131 .12145 0 4.5 ]
[.01131 .27987 -18 -4.5 ]
[.01131 .27987 0 4.5 ]
[.01131 .35909 -18 -4.5 ]
[.01131 .35909 0 4.5 ]
[.01131 .4383 -18 -4.5 ]
[.01131 .4383 0 4.5 ]
[.01131 .51751 -18 -4.5 ]
[.01131 .51751 0 4.5 ]
[.01131 .59672 -6 -4.5 ]
[.01131 .59672 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.23545 .20066 m
.23545 .20691 L
s
[(1)] .23545 .18816 0 1 Mshowa
.44709 .20066 m
.44709 .20691 L
s
[(2)] .44709 .18816 0 1 Mshowa
.65873 .20066 m
.65873 .20691 L
s
[(3)] .65873 .18816 0 1 Mshowa
.87037 .20066 m
.87037 .20691 L
s
[(4)] .87037 .18816 0 1 Mshowa
.125 Mabswid
.06614 .20066 m
.06614 .20441 L
s
.10847 .20066 m
.10847 .20441 L
s
.15079 .20066 m
.15079 .20441 L
s
.19312 .20066 m
.19312 .20441 L
s
.27778 .20066 m
.27778 .20441 L
s
.32011 .20066 m
.32011 .20441 L
s
.36243 .20066 m
.36243 .20441 L
s
.40476 .20066 m
.40476 .20441 L
s
.48942 .20066 m
.48942 .20441 L
s
.53175 .20066 m
.53175 .20441 L
s
.57407 .20066 m
.57407 .20441 L
s
.6164 .20066 m
.6164 .20441 L
s
.70106 .20066 m
.70106 .20441 L
s
.74339 .20066 m
.74339 .20441 L
s
.78571 .20066 m
.78571 .20441 L
s
.82804 .20066 m
.82804 .20441 L
s
.9127 .20066 m
.9127 .20441 L
s
.95503 .20066 m
.95503 .20441 L
s
.99735 .20066 m
.99735 .20441 L
s
.25 Mabswid
0 .20066 m
1 .20066 L
s
.02381 .04224 m
.03006 .04224 L
s
[(0.6)] .01131 .04224 1 0 Mshowa
.02381 .12145 m
.03006 .12145 L
s
[(0.8)] .01131 .12145 1 0 Mshowa
.02381 .27987 m
.03006 .27987 L
s
[(1.2)] .01131 .27987 1 0 Mshowa
.02381 .35909 m
.03006 .35909 L
s
[(1.4)] .01131 .35909 1 0 Mshowa
.02381 .4383 m
.03006 .4383 L
s
[(1.6)] .01131 .4383 1 0 Mshowa
.02381 .51751 m
.03006 .51751 L
s
[(1.8)] .01131 .51751 1 0 Mshowa
.02381 .59672 m
.03006 .59672 L
s
[(2)] .01131 .59672 1 0 Mshowa
.125 Mabswid
.02381 .06205 m
.02756 .06205 L
s
.02381 .08185 m
.02756 .08185 L
s
.02381 .10165 m
.02756 .10165 L
s
.02381 .14126 m
.02756 .14126 L
s
.02381 .16106 m
.02756 .16106 L
s
.02381 .18086 m
.02756 .18086 L
s
.02381 .22047 m
.02756 .22047 L
s
.02381 .24027 m
.02756 .24027 L
s
.02381 .26007 m
.02756 .26007 L
s
.02381 .29968 m
.02756 .29968 L
s
.02381 .31948 m
.02756 .31948 L
s
.02381 .33928 m
.02756 .33928 L
s
.02381 .37889 m
.02756 .37889 L
s
.02381 .39869 m
.02756 .39869 L
s
.02381 .41849 m
.02756 .41849 L
s
.02381 .4581 m
.02756 .4581 L
s
.02381 .4779 m
.02756 .4779 L
s
.02381 .4977 m
.02756 .4977 L
s
.02381 .53731 m
.02756 .53731 L
s
.02381 .55711 m
.02756 .55711 L
s
.02381 .57691 m
.02756 .57691 L
s
.02381 .02244 m
.02756 .02244 L
s
.02381 .00264 m
.02756 .00264 L
s
.02381 .61652 m
.02756 .61652 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.02499 .01472 L
.02605 .01472 L
.02729 .01474 L
.02846 .01475 L
.03053 .01479 L
.03279 .01485 L
.03527 .01493 L
.0379 .01504 L
.04262 .01529 L
.05205 .01599 L
.06244 .01706 L
.07293 .01846 L
.0842 .02029 L
.10458 .02444 L
.1458 .03579 L
.18551 .05002 L
.22371 .0663 L
.26435 .08603 L
.30348 .10701 L
.34506 .13114 L
.38513 .15591 L
.42368 .18094 L
.46468 .20866 L
.50417 .23628 L
.54214 .26357 L
.58257 .29328 L
.62148 .32244 L
.66284 .35395 L
.70268 .38473 L
.74101 .41468 L
.78179 .44685 L
.82106 .47809 L
.85881 .50832 L
.89901 .5407 L
.9377 .57203 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`005@3oool00`000000oooo0?oo
o`3o0?ooo`T0oooo000E0?ooo`800000o`3oool:0?ooo`005@3oool00`000000oooo0?ooo`3o0?oo
o`T0oooo000E0?ooo`030000003oool0oooo0?l0oooo2@3oool001D0oooo2@00003o0?ooo`<0oooo
000E0?ooo`030000003oool0oooo00H0oooo2@00003i0?ooo`005@3oool200000100oooo0`00003f
0?ooo`005@3oool00`000000oooo0?ooo`0B0?ooo`<00000l`3oool001D0oooo00<000000?ooo`3o
ool05@3oool400000>l0oooo00020?ooo`800000103oool2000000<0oooo0`0000050?ooo`030000
003oool0oooo01T0oooo1000003[0?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000
003oool0oooo000000@0oooo00<000000?ooo`3oool07@3oool300000>P0oooo00001@3oool00000
0?ooo`3oool0000000P0oooo00@000000?ooo`3oool00000103oool300000200oooo0`00003U0?oo
o`0000D0oooo0000003oool0oooo000000080?ooo`<000001@3oool00`000000oooo0?ooo`0S0?oo
o`800000h`3oool000050?ooo`000000oooo0?ooo`0000002@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo02D0oooo0`00003P0?ooo`000P3oool2000000X0oooo0`0000040?ooo`03
0000003oool0oooo02P0oooo0`00003M0?ooo`005@3oool00`000000oooo0?ooo`0[0?ooo`800000
f`3oool001D0oooo00<000000?ooo`3oool0;@3oool300000=P0oooo000E0?ooo`800000<@3oool2
00000=H0oooo000E0?ooo`030000003oool0oooo0380oooo0`00003C0?ooo`005@3oool00`000000
oooo0?ooo`0e0?ooo`800000d@3oool001D0oooo00<000000?ooo`3oool0=`3oool200000<l0oooo
000E0?ooo`030000003oool0oooo03T0oooo0P00003=0?ooo`005@3oool2000003`0oooo0P00003;
0?ooo`005@3oool00`000000oooo0?ooo`0m0?ooo`800000b@3oool001D0oooo00<000000?ooo`3o
ool0?`3oool200000<L0oooo000E0?ooo`030000003oool0oooo0440oooo0P0000350?ooo`005@3o
ool00`000000oooo0?ooo`130?ooo`800000``3oool001D0oooo00<000000?ooo`3oool0A@3oool2
00000<40oooo000E0?ooo`800000B03oool200000;l0oooo000E0?ooo`030000003oool0oooo04T0
oooo00<000000?ooo`3oool0_03oool001D0oooo00<000000?ooo`3oool0BP3oool200000;`0oooo
00020?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo04`0oooo00<0
00000?ooo`3oool0^@3oool000050?ooo`000000oooo0?ooo`000000203oool010000000oooo0?oo
o`0000040?ooo`030000003oool0oooo04d0oooo0P00002i0?ooo`0000D0oooo0000003oool0oooo
000000080?ooo`040000003oool0oooo000000@0oooo0`00001?0?ooo`800000]`3oool000050?oo
o`000000oooo0?ooo`0000002@3oool2000000D0oooo00<000000?ooo`3oool0D@3oool00`000000
oooo0?ooo`2d0?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool0DP3oool200000;@0oooo00020?ooo`8000002P3oool2000000D0
oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`2a0?ooo`005@3oool00`000000oooo
0?ooo`1E0?ooo`800000/@3oool001D0oooo0P00001H0?ooo`800000[`3oool001D0oooo00<00000
0?ooo`3oool0F@3oool200000:d0oooo000E0?ooo`030000003oool0oooo05/0oooo0P00002[0?oo
o`005@3oool00`000000oooo0?ooo`1M0?ooo`800000Z@3oool001D0oooo00<000000?ooo`3oool0
G`3oool00`000000oooo0?ooo`2V0?ooo`005@3oool00`000000oooo0?ooo`0d0?ooo`D000009`3o
ool2000000`0oooo1000000g0?ooo`800000>03oool300000280oooo000E0?ooo`800000=`3oool0
0`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0=`3oool0
10000000oooo0?ooo`00000h0?ooo`030000003oool0oooo0240oooo000E0?ooo`030000003oool0
oooo03H0oooo00<000000?ooo`3oool0:P3oool2000000X0oooo00<000000?ooo`3oool0>03oool0
0`000000oooo0?ooo`0d0?ooo`D000008P3oool001D0oooo00<000000?ooo`3oool0=P3oool00`00
0000oooo0?ooo`0/0?ooo`8000002@3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo
03<0oooo00@000000?ooo`3oool000008`3oool001D0oooo00<000000?ooo`3oool0=P3oool00`00
0000oooo0?ooo`0^0?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool00000=P3oool0
10000000oooo0?ooo`00000f0?ooo`030000003oool0000002<0oooo000E0?ooo`030000003oool0
oooo03D0oooo0P00000a0?ooo`8000001@3oool2000003P0oooo0P00000h0?ooo`8000008`3oool0
01D0oooo0P00001[0?ooo`030000003oool0oooo09/0oooo000E0?ooo`030000003oool0oooo06/0
oooo0P00002K0?ooo`005@3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0oooo09P0oooo
000E0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0U`3oool001D0oooo00<00000
0?ooo`3oool0K`3oool2000009L0oooo000E0?ooo`030000003oool0oooo0740oooo00<000000?oo
o`3oool0U03oool000h0ooooo`00000C000000005@3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo008000001`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool02@3oool100000040oooo000E0?ooo`030000003oool0oooo07D0oooo00<0
00000?ooo`3oool0T03oool001D0oooo00<000000?ooo`3oool0MP3oool200000900oooo000E0?oo
o`030000003oool0oooo07P0oooo00<000000?ooo`3oool0S@3oool001D0oooo0P00001j0?ooo`80
0000S@3oool001D0oooo00<000000?ooo`3oool0N`3oool2000008/0oooo000E0?ooo`030000003o
ool0oooo07d0oooo00<000000?ooo`3oool0R03oool001D0oooo00<000000?ooo`3oool0OP3oool2
000008P0oooo000E0?ooo`030000003oool0oooo0800oooo00<000000?ooo`3oool0Q@3oool001D0
oooo0P0000220?ooo`030000003oool0oooo08@0oooo000E0?ooo`030000003oool0oooo0880oooo
0P0000240?ooo`005@3oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo0840oooo000E
0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0P03oool001D0oooo00<000000?oo
o`3oool0QP3oool00`000000oooo0?ooo`1o0?ooo`005@3oool00`000000oooo0?ooo`270?ooo`80
0000O`3oool001D0oooo0P00002:0?ooo`030000003oool0oooo07`0oooo000E0?ooo`030000003o
ool0oooo08X0oooo00<000000?ooo`3oool0N`3oool001D0oooo00<000000?ooo`3oool0R`3oool2
000007/0oooo00000`3oool000000000000300000080oooo0P0000030?ooo`@00000103oool00`00
0000oooo0?ooo`2=0?ooo`030000003oool0oooo07P0oooo00030?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2>0?ooo`030000003oool0oooo07L0
oooo00030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool3000008l0oooo
0P00001g0?ooo`000`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0T@3oool00`000000oooo0?ooo`1d0?ooo`000`3oool00`000000oooo0?ooo`07
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0TP3oool00`000000oooo0?oo
o`1c0?ooo`000P3oool2000000X0oooo0P0000050?ooo`030000003oool0oooo09<0oooo0P00001c
0?ooo`005@3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo0700oooo000E0?ooo`80
0000U`3oool200000700oooo000E0?ooo`030000003oool0oooo09P0oooo00<000000?ooo`3oool0
K@3oool001D0oooo00<000000?ooo`3oool0V@3oool00`000000oooo0?ooo`1/0?ooo`005@3oool0
0`000000oooo0?ooo`2J0?ooo`800000K03oool001D0oooo00<000000?ooo`3oool0W03oool00`00
0000oooo0?ooo`1Y0?ooo`005@3oool00`000000oooo0?ooo`2M0?ooo`030000003oool0oooo06P0
oooo000E0?ooo`800000W`3oool2000006P0oooo000E0?ooo`030000003oool0oooo0:00oooo00<0
00000?ooo`3oool0I@3oool001D0oooo00<000000?ooo`3oool0X@3oool2000006D0oooo000E0?oo
o`030000003oool0oooo0:<0oooo00<000000?ooo`3oool0HP3oool001D0oooo00<000000?ooo`3o
ool0Y03oool00`000000oooo0?ooo`1Q0?ooo`005@3oool200000:H0oooo0P00001Q0?ooo`005@3o
ool00`000000oooo0?ooo`2W0?ooo`030000003oool0oooo05h0oooo000E0?ooo`030000003oool0
oooo0:P0oooo00<000000?ooo`3oool0G@3oool001D0oooo00<000000?ooo`3oool0Z@3oool20000
05d0oooo00000`3oool000000000000300000080oooo0P0000050?ooo`<000000`3oool00`000000
oooo0?ooo`2[0?ooo`030000003oool0oooo05X0oooo00030?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`2/0?ooo`030000003oool0oooo05T0oooo
00030?ooo`030000003oool0oooo00L0oooo1@0000030?ooo`<00000[@3oool2000005T0oooo0003
0?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?oo
o`2_0?ooo`030000003oool0oooo05H0oooo00030?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`000000103oool00`000000oooo0?ooo`2`0?ooo`030000003oool0oooo05D0oooo00020?oo
o`8000002`3oool2000000@0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`1D0?oo
o`005@3oool00`000000oooo0?ooo`2b0?ooo`030000003oool0oooo05<0oooo000E0?ooo`800000
]03oool2000005<0oooo000E0?ooo`030000003oool0oooo0;D0oooo00<000000?ooo`3oool0D03o
ool001D0oooo00<000000?ooo`3oool0]P3oool00`000000oooo0?ooo`1?0?ooo`005@3oool00`00
0000oooo0?ooo`2g0?ooo`030000003oool0oooo04h0oooo000E0?ooo`030000003oool0oooo0;P0
oooo0P00001>0?ooo`005@3oool200000;/0oooo00<000000?ooo`3oool0B`3oool001D0oooo00<0
00000?ooo`3oool0^`3oool00`000000oooo0?ooo`1:0?ooo`005@3oool00`000000oooo0?ooo`2l
0?ooo`030000003oool0oooo04T0oooo000E0?ooo`030000003oool0oooo0;d0oooo0P0000190?oo
o`005@3oool00`000000oooo0?ooo`2o0?ooo`030000003oool0oooo04H0oooo000E0?ooo`030000
003oool0oooo0<00oooo00<000000?ooo`3oool0A@3oool001D0oooo0P0000320?ooo`030000003o
ool0oooo04@0oooo000E0?ooo`030000003oool0oooo0<80oooo0P0000140?ooo`005@3oool00`00
0000oooo0?ooo`340?ooo`030000003oool0oooo0440oooo00000`3oool000000000000300000080
oooo0P0000030?ooo`<000001@3oool00`000000oooo0?ooo`350?ooo`030000003oool0oooo0400
oooo00030?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool00000103oool00`000000
oooo0?ooo`360?ooo`030000003oool0oooo03l0oooo00030?ooo`030000003oool0oooo00L0oooo
00@000000?ooo`3oool00000103oool300000<L0oooo00<000000?ooo`3oool0?P3oool000<0oooo
00<000000?ooo`3oool01`3oool3000000D0oooo00<000000?ooo`3oool0b03oool2000003h0oooo
00030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`3:0?ooo`030000003oool0oooo03/0oooo00020?ooo`8000002P3oool3000000@0oooo00<00000
0?ooo`3oool0b`3oool00`000000oooo0?ooo`0j0?ooo`005@3oool00`000000oooo0?ooo`3<0?oo
o`800000>P3oool001D0oooo00<000000?ooo`3oool0cP3oool00`000000oooo0?ooo`0g0?ooo`00
5@3oool200000=00oooo00<000000?ooo`3oool0=P3oool001D0oooo00<000000?ooo`3oool0d03o
ool2000003H0oooo000E0?ooo`030000003oool0oooo0=80oooo00<000000?ooo`3oool0<`3oool0
01D0oooo00<000000?ooo`3oool0d`3oool00`000000oooo0?ooo`0b0?ooo`005@3oool00`000000
oooo0?ooo`3D0?ooo`800000<P3oool001D0oooo0P00003G0?ooo`030000003oool0oooo02l0oooo
000E0?ooo`030000003oool0oooo0=L0oooo00<000000?ooo`3oool0;P3oool001D0oooo00<00000
0?ooo`3oool0f03oool2000002h0oooo000E0?ooo`030000003oool0oooo0=X0oooo00<000000?oo
o`3oool0:`3oool001D0oooo00<000000?ooo`3oool0f`3oool00`000000oooo0?ooo`0Z0?ooo`00
5@3oool200000=d0oooo00<000000?ooo`3oool0:@3oool001D0oooo00<000000?ooo`3oool0g@3o
ool2000002T0oooo000E0?ooo`030000003oool0oooo0=l0oooo00<000000?ooo`3oool09P3oool0
01D0oooo00<000000?ooo`3oool0h03oool00`000000oooo0?ooo`0U0?ooo`0000<0oooo00000000
00000`0000020?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool0h@3oool00`000000
oooo0?ooo`0T0?ooo`000`3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo000000@0
oooo00<000000?ooo`3oool0hP3oool2000002@0oooo00030?ooo`030000003oool0oooo00L0oooo
00@000000?ooo`3oool00000103oool300000>@0oooo00<000000?ooo`3oool08@3oool000<0oooo
00<000000?ooo`3oool0203oool2000000D0oooo00<000000?ooo`3oool0i@3oool00`000000oooo
0?ooo`0P0?ooo`000`3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo000000@0oooo
00<000000?ooo`3oool0iP3oool00`000000oooo0?ooo`0O0?ooo`000P3oool2000000X0oooo0P00
00050?ooo`030000003oool0oooo0>L0oooo00<000000?ooo`3oool07P3oool001D0oooo00<00000
0?ooo`3oool0j03oool2000001h0oooo000E0?ooo`800000j`3oool00`000000oooo0?ooo`0K0?oo
o`005@3oool00`000000oooo0?ooo`3[0?ooo`030000003oool0oooo01X0oooo000E0?ooo`030000
003oool0oooo0>`0oooo00<000000?ooo`3oool06@3oool001D0oooo00<000000?ooo`3oool0k@3o
ool2000001T0oooo000E0?ooo`030000003oool0oooo0>l0oooo00<000000?ooo`3oool05P3oool0
01D0oooo00<000000?ooo`3oool0l03oool00`000000oooo0?ooo`0E0?ooo`005@3oool200000?80
oooo00<000000?ooo`3oool0503oool001D0oooo00<000000?ooo`3oool0lP3oool00`000000oooo
0?ooo`0C0?ooo`005@3oool00`000000oooo0?ooo`3c0?ooo`8000004`3oool001D0oooo00<00000
0?ooo`3oool0m@3oool00`000000oooo0?ooo`0@0?ooo`005@3oool00`000000oooo0?ooo`3f0?oo
o`030000003oool0oooo00l0oooo000E0?ooo`800000n03oool00`000000oooo0?ooo`0>0?ooo`00
5@3oool00`000000oooo0?ooo`3h0?ooo`8000003P3oool001D0oooo00<000000?ooo`3oool0nP3o
ool00`000000oooo0?ooo`0;0?ooo`003@3oool4000000@0oooo00<000000?ooo`3oool0n`3oool0
0`000000oooo0?ooo`0:0?ooo`003@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0?`0oooo00<000000?ooo`3oool02@3oool000h0oooo00<000000?ooo`3oool0103oool300000?d0
oooo0P0000090?ooo`003`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0?l0oooo
00<000000?ooo`3oool01P3oool000d0oooo00@000000?ooo`3oool00000103oool00`000000oooo
0?ooo`3o0?ooo`40oooo00<000000?ooo`3oool01@3oool000h0oooo0P0000050?ooo`030000003o
ool0oooo0?l0oooo2@3oool001D0oooo00<000000?ooo`3oool0o`3oool90?ooo`005@3oool00`00
0000oooo0?ooo`3o0?ooo`T0oooo000E0?ooo`800000o`3oool:0?ooo`00o`3ooolQ0?ooo`00o`3o
oolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.371682, 0.452569, \
0.0173666, 0.00928023}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.21164 0.0147151 1.35226 [
[.23545 .00222 -3 -9 ]
[.23545 .00222 3 0 ]
[.44709 .00222 -3 -9 ]
[.44709 .00222 3 0 ]
[.65873 .00222 -3 -9 ]
[.65873 .00222 3 0 ]
[.87037 .00222 -3 -9 ]
[.87037 .00222 3 0 ]
[.01131 .14994 -18 -4.5 ]
[.01131 .14994 0 4.5 ]
[.01131 .28517 -18 -4.5 ]
[.01131 .28517 0 4.5 ]
[.01131 .42039 -18 -4.5 ]
[.01131 .42039 0 4.5 ]
[.01131 .55562 -18 -4.5 ]
[.01131 .55562 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.23545 .01472 m
.23545 .02097 L
s
[(1)] .23545 .00222 0 1 Mshowa
.44709 .01472 m
.44709 .02097 L
s
[(2)] .44709 .00222 0 1 Mshowa
.65873 .01472 m
.65873 .02097 L
s
[(3)] .65873 .00222 0 1 Mshowa
.87037 .01472 m
.87037 .02097 L
s
[(4)] .87037 .00222 0 1 Mshowa
.125 Mabswid
.06614 .01472 m
.06614 .01847 L
s
.10847 .01472 m
.10847 .01847 L
s
.15079 .01472 m
.15079 .01847 L
s
.19312 .01472 m
.19312 .01847 L
s
.27778 .01472 m
.27778 .01847 L
s
.32011 .01472 m
.32011 .01847 L
s
.36243 .01472 m
.36243 .01847 L
s
.40476 .01472 m
.40476 .01847 L
s
.48942 .01472 m
.48942 .01847 L
s
.53175 .01472 m
.53175 .01847 L
s
.57407 .01472 m
.57407 .01847 L
s
.6164 .01472 m
.6164 .01847 L
s
.70106 .01472 m
.70106 .01847 L
s
.74339 .01472 m
.74339 .01847 L
s
.78571 .01472 m
.78571 .01847 L
s
.82804 .01472 m
.82804 .01847 L
s
.9127 .01472 m
.9127 .01847 L
s
.95503 .01472 m
.95503 .01847 L
s
.99735 .01472 m
.99735 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .14994 m
.03006 .14994 L
s
[(0.1)] .01131 .14994 1 0 Mshowa
.02381 .28517 m
.03006 .28517 L
s
[(0.2)] .01131 .28517 1 0 Mshowa
.02381 .42039 m
.03006 .42039 L
s
[(0.3)] .01131 .42039 1 0 Mshowa
.02381 .55562 m
.03006 .55562 L
s
[(0.4)] .01131 .55562 1 0 Mshowa
.125 Mabswid
.02381 .04176 m
.02756 .04176 L
s
.02381 .06881 m
.02756 .06881 L
s
.02381 .09585 m
.02756 .09585 L
s
.02381 .1229 m
.02756 .1229 L
s
.02381 .17699 m
.02756 .17699 L
s
.02381 .20403 m
.02756 .20403 L
s
.02381 .23108 m
.02756 .23108 L
s
.02381 .25812 m
.02756 .25812 L
s
.02381 .31221 m
.02756 .31221 L
s
.02381 .33926 m
.02756 .33926 L
s
.02381 .3663 m
.02756 .3663 L
s
.02381 .39335 m
.02756 .39335 L
s
.02381 .44744 m
.02756 .44744 L
s
.02381 .47448 m
.02756 .47448 L
s
.02381 .50153 m
.02756 .50153 L
s
.02381 .52857 m
.02756 .52857 L
s
.02381 .58266 m
.02756 .58266 L
s
.02381 .60971 m
.02756 .60971 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .10032 L
.10458 .17988 L
.14415 .2434 L
.18221 .29577 L
.22272 .34348 L
.26171 .38269 L
.30316 .41824 L
.34309 .44737 L
.3815 .47136 L
.42237 .49317 L
.46172 .51108 L
.49955 .52586 L
.53984 .53934 L
.57861 .55042 L
.61984 .56048 L
.65954 .56873 L
.69774 .57553 L
.73838 .58172 L
.77751 .5868 L
.81909 .59141 L
.85916 .59518 L
.89771 .59829 L
.93871 .60111 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`00C03oool5000003D0oooo1000000g0?ooo`800000>03oool300000280oooo001>0?ooo`03
0000003oool0oooo03D0oooo00<000000?ooo`3oool0=`3oool010000000oooo0?ooo`00000h0?oo
o`030000003oool0oooo0240oooo001>0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3o
ool0>03oool00`000000oooo0?ooo`0d0?ooo`D000008P3oool004h0oooo00<000000?ooo`3oool0
=`3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo03<0oooo00@000000?ooo`3oool0
00008`3oool004h0oooo00<000000?ooo`3oool0=@3oool010000000oooo0?ooo`00000f0?ooo`04
0000003oool0oooo000003H0oooo00<000000?ooo`0000008`3oool004d0oooo0P00000h0?ooo`80
0000>03oool2000003P0oooo0P00000S0?ooo`00o`3ooolQ0?ooo`005@3oool00`000000oooo0?oo
o`3o0?ooo`T0oooo000E0?ooo`030000003oool0oooo0?l0oooo2@3oool001D0oooo00<000000?oo
o`3oool0o`3oool90?ooo`005@3oool00`000000oooo0?ooo`3o0?ooo`T0oooo000>0?ooool00000
4`00000001D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`4000000@3o
ool001D0oooo0P00000g0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0=`3oool0
0`000000oooo0?ooo`0f0?ooo`030000003oool0oooo0280oooo000E0?ooo`800000o`3oool:0?oo
o`005@3oool00`000000oooo0000003o0?ooo`T0oooo000E0?ooo`030000003oool000000?l0oooo
2@3oool001D0oooo00@000000?ooo`3oool00000o`3oool80?ooo`005@3oool010000000oooo0?oo
o`00003o0?ooo`P0oooo000E0?ooo`80000000<0oooo0000003oool0o`3oool70?ooo`005@3oool0
1@000000oooo0?ooo`3oool000000?l0oooo1`3oool001D0oooo00D000000?ooo`3oool0oooo0000
003o0?ooo`L0oooo000E0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0o`3oool4
0?ooo`005@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0oooo103oool001D0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3o0?ooo`<0oooo000E0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0o`3oool30?ooo`005@3oool2000000D0oooo00<0
00000?ooo`3oool0o`3oool20?ooo`005@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo0?l0oooo0P3oool001D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?oo
o`80oooo000E0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0o`3oool10?ooo`00
5@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0?l0oooo0@3oool001D0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`3o0?ooo`005@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo0?l0oooo000E0?ooo`800000203oool00`000000oooo0?ooo`3n0?oo
o`005@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0?h0oooo000E0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0o@3oool001D0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`3m0?ooo`005@3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo0?`0oooo000E0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0o03oool001D0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`3k0?ooo`005@3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo0?/0oooo000E0?ooo`800000303oool00`000000oooo0?oo
o`3j0?ooo`005@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0?X0oooo000E0?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool0n@3oool001D0oooo00<000000?ooo`3o
ool0303oool00`000000oooo0?ooo`3i0?ooo`005@3oool00`000000oooo0?ooo`0=0?ooo`030000
003oool0oooo0?P0oooo00020?ooo`800000103oool2000000<0oooo1@0000030?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool0m`3oool000050?ooo`000000oooo0?ooo`0000002P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0m`3o
ool000050?ooo`000000oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`<000003`3o
ool00`000000oooo0?ooo`3f0?ooo`0000D0oooo0000003oool0oooo0000000:0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`3f0?ooo`0000D0oooo
0000003oool0oooo0000000:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0403o
ool00`000000oooo0?ooo`3e0?ooo`000P3oool2000000X0oooo0P0000050?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool0m@3oool001D0oooo00<000000?ooo`3oool04@3oool00`00
0000oooo0?ooo`3d0?ooo`005@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0?@0
oooo000E0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0l`3oool001D0oooo0P00
000C0?ooo`030000003oool0oooo0?<0oooo000E0?ooo`030000003oool0oooo01<0oooo00<00000
0?ooo`3oool0lP3oool001D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`3a0?oo
o`005@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0?40oooo000E0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0l03oool001D0oooo00<000000?ooo`3oool05P3o
ool00`000000oooo0?ooo`3_0?ooo`005@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo0>l0oooo000E0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0kP3oool001D0
oooo0P00000I0?ooo`030000003oool0oooo0>d0oooo000E0?ooo`030000003oool0oooo01P0oooo
00<000000?ooo`3oool0k@3oool001D0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?oo
o`3/0?ooo`005@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0>`0oooo000E0?oo
o`030000003oool0oooo01X0oooo00<000000?ooo`3oool0j`3oool001D0oooo00<000000?ooo`3o
ool06`3oool00`000000oooo0?ooo`3Z0?ooo`005@3oool00`000000oooo0?ooo`0K0?ooo`030000
003oool0oooo0>X0oooo000E0?ooo`8000007@3oool00`000000oooo0?ooo`3Y0?ooo`005@3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0>P0oooo000E0?ooo`030000003oool0oooo
01d0oooo00<000000?ooo`3oool0j03oool001D0oooo00<000000?ooo`3oool07P3oool00`000000
oooo0?ooo`3W0?ooo`005@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0>H0oooo
000E0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0iP3oool001D0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`3U0?ooo`005@3oool200000280oooo00<000000?oo
o`3oool0i03oool001D0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`3T0?ooo`00
5@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0><0oooo000E0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool0hP3oool001D0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`3R0?ooo`005@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo
0>40oooo00020?ooo`800000103oool2000000<0oooo100000040?ooo`030000003oool0oooo02D0
oooo00<000000?ooo`3oool0h03oool000050?ooo`000000oooo0?ooo`000000203oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0h03oool000050?oo
o`000000oooo0?ooo`0000002@3oool00`000000oooo0?ooo`040?ooo`<000009P3oool00`000000
oooo0?ooo`3O0?ooo`0000D0oooo0000003oool0oooo0000000:0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`3N0?ooo`0000D0oooo0000003oool0
oooo000000080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool09`3oool00`00
0000oooo0?ooo`3N0?ooo`000P3oool2000000X0oooo0P0000050?ooo`030000003oool0oooo02P0
oooo00<000000?ooo`3oool0g@3oool001D0oooo00<000000?ooo`3oool0:@3oool00`000000oooo
0?ooo`3L0?ooo`005@3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0=/0oooo000E
0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0fP3oool001D0oooo0P00000/0?oo
o`030000003oool0oooo0=X0oooo000E0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3o
ool0f@3oool001D0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`3H0?ooo`005@3o
ool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0=L0oooo000E0?ooo`030000003oool0
oooo02l0oooo00<000000?ooo`3oool0eP3oool001D0oooo00<000000?ooo`3oool0<03oool00`00
0000oooo0?ooo`3E0?ooo`005@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo0=D0
oooo000E0?ooo`800000<P3oool00`000000oooo0?ooo`3D0?ooo`005@3oool00`000000oooo0?oo
o`0b0?ooo`030000003oool0oooo0=<0oooo000E0?ooo`030000003oool0oooo03<0oooo00<00000
0?ooo`3oool0dP3oool001D0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`3A0?oo
o`005@3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo0=00oooo000E0?ooo`030000
003oool0oooo03H0oooo00<000000?ooo`3oool0c`3oool001D0oooo00<000000?ooo`3oool0=`3o
ool00`000000oooo0?ooo`3>0?ooo`005@3oool00`000000oooo0?ooo`0h0?ooo`800000cP3oool0
01D0oooo0P00000k0?ooo`030000003oool0oooo0</0oooo000E0?ooo`030000003oool0oooo03/0
oooo00<000000?ooo`3oool0bP3oool001D0oooo00<000000?ooo`3oool0?03oool00`000000oooo
0?ooo`390?ooo`005@3oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo0<P0oooo000E
0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0a`3oool001D0oooo00<000000?oo
o`3oool0?`3oool00`000000oooo0?ooo`360?ooo`005@3oool00`000000oooo0?ooo`100?ooo`03
0000003oool0oooo0<D0oooo000E0?ooo`800000@P3oool00`000000oooo0?ooo`340?ooo`005@3o
ool00`000000oooo0?ooo`120?ooo`030000003oool0oooo0<<0oooo000E0?ooo`030000003oool0
oooo04<0oooo0P0000330?ooo`005@3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo
0<00oooo000E0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0_`3oool001D0oooo
00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`2n0?ooo`000P3oool2000000@0oooo0P00
00040?ooo`8000001@3oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo0;d0oooo0000
1@3oool000000?ooo`3oool0000000P0oooo00@000000?ooo`3oool00000103oool00`000000oooo
0?ooo`190?ooo`030000003oool0oooo0;`0oooo00001@3oool000000?ooo`3oool0000000X0oooo
00<000000?ooo`3oool00`3oool3000004X0oooo0P00002l0?ooo`0000D0oooo0000003oool0oooo
0000000;0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0C03oool00`000000oooo
0?ooo`2i0?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003oool0oooo000000@0
oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`2h0?ooo`000P3oool2000000X0oooo
0P0000050?ooo`030000003oool0oooo04h0oooo0P00002h0?ooo`005@3oool00`000000oooo0?oo
o`1@0?ooo`030000003oool0oooo0;D0oooo000E0?ooo`030000003oool0oooo0540oooo00<00000
0?ooo`3oool0]03oool001D0oooo00<000000?ooo`3oool0DP3oool200000;@0oooo000E0?ooo`80
0000E@3oool00`000000oooo0?ooo`2a0?ooo`005@3oool00`000000oooo0?ooo`1E0?ooo`800000
/@3oool001D0oooo00<000000?ooo`3oool0E`3oool200000:l0oooo000E0?ooo`030000003oool0
oooo05T0oooo00<000000?ooo`3oool0[03oool001D0oooo00<000000?ooo`3oool0FP3oool20000
0:`0oooo000E0?ooo`030000003oool0oooo05`0oooo0P00002Z0?ooo`005@3oool00`000000oooo
0?ooo`1N0?ooo`030000003oool0oooo0:L0oooo000E0?ooo`800000H03oool200000:L0oooo000E
0?ooo`030000003oool0oooo0640oooo0P00002U0?ooo`005@3oool00`000000oooo0?ooo`1S0?oo
o`800000X`3oool001D0oooo00<000000?ooo`3oool0I@3oool200000:40oooo000E0?ooo`030000
003oool0oooo06L0oooo0P00002O0?ooo`005@3oool00`000000oooo0?ooo`1Y0?ooo`800000W@3o
ool001D0oooo00<000000?ooo`3oool0J`3oool2000009/0oooo000E0?ooo`030000003oool0oooo
06d0oooo0P00002I0?ooo`005@3oool200000700oooo0P00002G0?ooo`005@3oool00`000000oooo
0?ooo`1a0?ooo`800000U@3oool001D0oooo00<000000?ooo`3oool0L`3oool300000980oooo000E
0?ooo`030000003oool0oooo07H0oooo0P00002@0?ooo`005@3oool00`000000oooo0?ooo`1h0?oo
o`<00000S@3oool001D0oooo00<000000?ooo`3oool0N`3oool2000008/0oooo000E0?ooo`030000
003oool0oooo07d0oooo0`0000280?ooo`005@3oool200000840oooo0`0000250?ooo`005@3oool0
0`000000oooo0?ooo`230?ooo`800000P`3oool001D0oooo00<000000?ooo`3oool0Q@3oool30000
0800oooo000E0?ooo`030000003oool0oooo08P0oooo0`00001m0?ooo`005@3oool00`000000oooo
0?ooo`2;0?ooo`@00000N@3oool00080oooo0P0000040?ooo`8000001@3oool3000000<0oooo00<0
00000?ooo`3oool0S`3oool4000007D0oooo00001@3oool000000?ooo`3oool0000000/0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`2C0?ooo`<00000LP3oool000050?ooo`000000
oooo0?ooo`000000203oool5000000<0oooo0`00002F0?ooo`@00000KP3oool000050?ooo`000000
oooo0?ooo`000000203oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo09X0oooo
1000001Z0?ooo`0000D0oooo0000003oool0oooo000000090?ooo`030000003oool0000000@0oooo
00<000000?ooo`3oool0WP3oool4000006H0oooo00020?ooo`8000002`3oool2000000@0oooo00<0
00000?ooo`3oool0XP3oool600000600oooo000E0?ooo`030000003oool0oooo0:P0oooo1@00001K
0?ooo`005@3oool00`000000oooo0?ooo`2]0?ooo`D00000EP3oool001D0oooo00<000000?ooo`3o
ool0/P3oool8000004h0oooo000E0?ooo`030000003oool0oooo0;X0oooo200000160?ooo`005@3o
ool200000<<0oooo1P0000100?ooo`005@3oool00`000000oooo0?ooo`380?ooo`P00000>03oool0
01D0oooo00<000000?ooo`3oool0d03oool;000002d0oooo000E0?ooo`030000003oool0oooo0=/0
oooo2`00000R0?ooo`005@3oool00`000000oooo0?ooo`3V0?ooo`/000005`3oool001D0oooo00<0
00000?ooo`3oool0l@3oool@000000L0oooo000E0?ooo`030000003oool0oooo0?l0oooo2@3oool0
01D0oooo0P00003o0?ooo`X0oooo000E0?ooo`030000003oool0oooo0?l0oooo2@3oool001D0oooo
00<000000?ooo`3oool0o`3oool90?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.371682, -0.0342341, \
0.0173666, 0.00271802}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.1 for Microsoft Windows",
ScreenRectangle->{{0, 1400}, {0, 972}},
WindowSize->{1392, 943},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 108, 2, 43, "Input"],
Cell[1887, 57, 107, 2, 60, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2031, 64, 68, 1, 30, "Input"],
Cell[2102, 67, 123, 2, 60, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2262, 74, 291, 6, 50, "Input"],
Cell[2556, 82, 16620, 443, 186, 4020, 283, "GraphicsData", "PostScript", \
"Graphics"],
Cell[19179, 527, 130, 3, 29, "Output"],
Cell[19312, 532, 15640, 392, 186, 3289, 235, "GraphicsData", "PostScript", \
"Graphics"],
Cell[34955, 926, 130, 3, 29, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

